ВХОД
Вернуться
29 октября 2012, 13:20
В iPhone 4 обнаружили опасную уязвимость.
Фото с сайта cybersecurity.ru

В iPhone 4 обнаружили опасную уязвимость

Независимые специалисты по информационной безопасности говорят, что iPhone 4, а также более старые устройства Apple и других производителей, в частности Samsung, HTC и Motorola, подвержены уязвимости, используя которую потенциальные атакующие могут блокировать для смартфонов возможность работы в WiFi-сетях.

Как сообщает CyberSecurity, на этой неделе в интернете появился демо-эксплоит, показывающий возможность блокировки WiFi в старых iPhone, HTC Droid, Motorola Droid X2, а также 20 других мобильных устройствах. Подвержена этой же уязвимости даже автомобильная система Ford Edge.

Уязвисмость класса Denial of Service связана с ошибкой в системе «входящей валидации» в прошивке двух беспроводных чипов Broadcom — BCM4325 и BCM4329. Ранее об уязвимости данных чипов предупредили в US CERT.

«Единственное условие для вызова данной уязвимости — это поддержка беспроводным чипом неформатированных 802.11-фреймов. Многие готовые Linux-дистрибутивы поддерживают все, что вам нужно для вызова уязвимости», — говорит Андре Бланко, один из ИТ-исследователей компании Core Security.

По его словам, Core Security ранее уже передала Broadcom всю необходимую служебную информацию об уязвимости и последняя выпустила исправление прошивки, ликвидирующее ошибки в чтении, однако проблема заключается в том, что не все чипы поддерживают возможность внезаводской перепрошивки.

Бланко говорит, что атака достаточно серьезна, так как позволяет полностью отключить мобильное устройство от беспроводной сети на время проведения DoS-атаки. В свою очередь этот баг может быть использован как платформа для более высокоуровневых атак.

Опубликовано на minfin.com.ua 29 октября 2012, 13:20
Следить за новыми комментариями

Написать комментарий

Чтобы оставить комментарий, нужно войти или зарегистрироваться
 
×
окно закроется через 20 секунд